On this page
No Headings
Last updated: June 12, 2026
Important: The Adaptive Platform API is not available for new integrations. PayPal provides this documentation to support existing integrations. If you're starting an integration, we recommend our latest solutions.
Sends a reminder that a payment is due. This API is useful when a customer needs to be notified that an existing invoice needs to be paid.
This example calls RemindInvoice to send a reminder to a customer. The merchant intends to send the reminder for an existing invoice. The existing invoice already has been sent to the customer, but the customer hasn't paid the invoice yet:
curl https://svcs.sandbox.paypal.com/Invoice/RemindInvoice \ -s \ --insecure \ -H "X-PAYPAL-SECURITY-USERID: " \ -H "X-PAYPAL-SECURITY-PASSWORD: " \ -H "X-PAYPAL-SECURITY-SIGNATURE: " \ -H "X-PAYPAL-REQUEST-DATA-FORMAT: NV" \ -H "X-PAYPAL-RESPONSE-DATA-FORMAT: NV" \ -H "X-PAYPAL-APPLICATION-ID: " \ -d requestEnvelope.errorLanguage=en_US \ -d invoiceID=INV2-RVY9-UWTW-64HZ-BR9W \ -d subject=Reminder \ -d noteForPayer=Please+pay+this+invoiceThe RemindInvoiceRequest is used to inform a customer about an unpaid invoice. A merchant who uses the RemindInvoice API intends to send the reminder for an existing invoice. The existing invoice already has been sent to the customer, but the customer hasn't paid the invoice yet. The reminder can be sent to the customer as often as desired.
| Field | Description |
|---|---|
detailLevel | common:DetailLevelCode (Optional) Level of detail required by the client application pertaining to a particular data component. The detail level is specified as a detail level code, which has all the enumerated values of the detail level for the component. By default, the detail level code is ReturnAll, which provides the maximum level of detail. |
errorLanguage | xs:string (Required) RFC 3066 language in which error messages are returned; by default it is en_US, which is the only language currently supported. |
| Field | Description |
|---|---|
requestEnvelope | common:requestEnvelope (Required) Information common to each API operation, such as the language in which an error message is returned. |
invoiceID | xs:string (Required) The ID of the invoice for which a reminder is sent. |
subject | xs:string (Optional) The subject of the reminder. |
noteForPayer | xs:string (Optional) Note to be included with the reminder. |
The response contains the ID of the invoice, along with the location for viewing the invoice.
| Field | Description |
|---|---|
ack | common:AckCode Acknowledgment code. Value is:
|
build | xs:string Build number. It is used only by PayPal Merchant Technical Support. |
correlationId | xs:string Correlation identifier. It is a 13-character, alphanumeric string (for example, db87c705a910e) that is used only by PayPal Merchant Technical Support. Note: You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues. |
timestamp | xs:datetime Date on which the response was sent, for example: 2012-04-02T22:33:35.774-07:00 Note: You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues. |
| Field | Description |
|---|---|
responseEnvelope | common:ResponseEnvelope Common response information, including a timestamp and the response acknowledgment status. |
invoiceID | xs:string The ID of the invoice for which a reminder is sent. |
invoiceURL | xs:string The location for viewing the invoice. |
The PPFaultMessage returns ErrorData and the ResponseEnvelope information to your application if an error occurs.
| Field | Description |
|---|---|
error | common:ErrorData Detailed error information. |
responseEnvelope | common:ResponseEnvelope Common response information, including a timestamp and the response acknowledgment status. |
| Field | Description |
|---|---|
category | common:ErrorCategory The location where the error occurred. Value is:
|
domain | xs:string The domain to which this service belongs. |
errorId | xs:long A 6-digit number that uniquely identifies a particular error. |
exceptionID | This field is not used. |
message | xs:string A description of the error. |
parameter | common:ErrorParameter Represents contextual information about the error. |
severity | common:ErrorSeverity The severity of the error encountered. Value is:
|
subdomain | This field is not used. |
| Code | Message |
|---|---|
| 520002 | Internal error. |
| 520003 | Authentication failed. API credentials are incorrect. |
| 520009 | Account is restricted. |
| 570054 | Invalid token. |
| 570058 | Authentication failed. User account is not confirmed. |
| 571001 | The specified invoice ID is invalid because the invoice has already been deleted. |
| 571003 | You can only send a reminder for an invoice with the status of sent. The current status is draft. |
| 571004 | You can only send a reminder for an invoice with the status of sent. The current status is paid. |
| 571005 | You can only send a reminder for an invoice with the status of sent. The current status is refunded. |
| 571006 | You can only send a reminder for an invoice with the status of sent. The current status is cancelled. |
| 580045 | Merchant does not have a PayPal account associated with this email address. |
| 580047 | Invoice does not exist. |